// BaseObj.cpp: implementation of the BaseObj class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "CryViewer.h"
#include "BaseObj.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

BaseObj::BaseObj()
{
	memset(&hdr,0,sizeof(hdr));
	binded = false;
}

BaseObj::~BaseObj()
{
}

RECT BaseObj::Paint(HDC hdc, DispOptions &opt)
{
	CRect rec; 
	rec.SetRectEmpty(); 
	return rec;
}

bool BaseObj::Load(FILE *f, long pos)
{
	return false;
}

void BaseObj::Bind(BaseObj **all_objects, int n_obj)
{
}
